
<script setup>
import { onMounted } from "vue"
import { useMoviesStore } from '@/stores/movies';
const movieStore = useMoviesStore();
const props = defineProps({
  id: {
    type: String,
    required: true,
  }
})
onMounted(async () => {
  await movieStore.getSingleMovie(props.id)
});
</script>

<template>
  <div class="card">
    <div class="card-header">
      <h3>Movie Detail of {{ movieStore.singleMovie.title }}</h3>
    </div>
    <div class="card-body" v-if="movieStore.isLoading == true">
      <p class="text-center text-bold">Loading...</p>
    </div>
    <div class="card-body" v-else>
      <p class="float-end">
        <a type="button" @click="$router.back">Back &raquo;</a>
      </p>
      <h4>{{ movieStore.singleMovie.title }}</h4>
      <img :src="movieStore.singleMovie.poster" alt="">
      <p>{{ movieStore.singleMovie.runtime }}</p>
      <p>{{ movieStore.singleMovie.year }}</p>
      <div class="d-flex">
        <button class="btn btn-primary">Watch Online</button> &nbsp;
        <button class="btn btn-success">Download</button>
      </div>
    </div>
  </div>
</template>



<style lang="scss" scoped></style>